Skip to main content
POST
/
clients
/
{clientId}
/
members
Add Client Member
curl --request POST \
  --url https://api.chat-dash.com/v1/public/clients/{clientId}/members \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "loginId": "<string>",
  "password": "<string>",
  "email": "<string>"
}
'
import requests

url = "https://api.chat-dash.com/v1/public/clients/{clientId}/members"

payload = {
    "name": "<string>",
    "loginId": "<string>",
    "password": "<string>",
    "email": "<string>"
}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', loginId: '<string>', password: '<string>', email: '<string>'})
};

fetch('https://api.chat-dash.com/v1/public/clients/{clientId}/members', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "Member added successfully"
}
{
  "error": "Login ID already in use"
}
{
  "error": "An unexpected error occurred"
}

Headers

Authorization
string
required

All requests to the ChatDash API must be validated with the agency API Key found on your agency profile

Path Parameters

clientId
string
required

The ID of the client

Body

application/json
name
string
required

The member's name

loginId
string
required

The member's login ID

password
string
required

The member's password

email
string

The member's email address

Response

OK

message
string
Example:

"Member added successfully"